Services_OpenStreetMap

# Class: Services_OpenStreetMap_Node

Source Location: /OpenStreetMap/Node.php

### Class Overview

    Services_OpenStreetMap_Object
       |
       --Services_OpenStreetMap_Node

Services_OpenStreetMap_Node

#### Author(s):

- Ken Guest <kguest@php.net>

### Variables

- $type

### Methods

- getAddress
- getLat
- getLon
- getWays
- setLat
- setLon

### Inherited Variables

#### Class: Services_OpenStreetMap_Object

Services_OpenStreetMap_Object::$action
Services_OpenStreetMap_Object::$changesetId
Services_OpenStreetMap_Object::$config
Services_OpenStreetMap_Object::$dirty
Services_OpenStreetMap_Object::$id
Services_OpenStreetMap_Object::$obj
Services_OpenStreetMap_Object::$tags
Services_OpenStreetMap_Object::$transport
Services_OpenStreetMap_Object::$xml

### Inherited Methods

#### Class: Services_OpenStreetMap_Object

Services_OpenStreetMap_Object::delete()
  Mark the object as deleted.
Services_OpenStreetMap_Object::getAttributes()
  Return the attributes set for this object in question.
Services_OpenStreetMap_Object::getConfig()
  Get current Config object
Services_OpenStreetMap_Object::getId()
  Retrieve the id of the object in question.
Services_OpenStreetMap_Object::getOsmChangeXml()
  Generate and return the OsmChange XML required to record the changes made to the object in question.
Services_OpenStreetMap_Object::getRelations()
  Get all relations referring to the object in question.
Services_OpenStreetMap_Object::getTag()
  Return value of specified tag as set against this object.
Services_OpenStreetMap_Object::getTags()
  Return the tags set for this object in question.
Services_OpenStreetMap_Object::getTransport()
  Retrieve the current Transport instance.
Services_OpenStreetMap_Object::getType()
  Return which type of object this is.
Services_OpenStreetMap_Object::getUid()
  Retrieve the uid of the object in question.
Services_OpenStreetMap_Object::getUser()
  Retrieve the user (creator/editor) of the object in question.
Services_OpenStreetMap_Object::getVersion()
  Retrieve the version of the object in question
Services_OpenStreetMap_Object::getXml()
  getXml
Services_OpenStreetMap_Object::history()
  Get each distinct version of an object.
Services_OpenStreetMap_Object::osmChangeXml()
  Amend changeXML with specific updates as appropriate.
Services_OpenStreetMap_Object::setChangesetId()
  Set the Changeset Id for this object.
Services_OpenStreetMap_Object::setConfig()
  Set Config object
Services_OpenStreetMap_Object::setId()
  Set the id value of the object in question.
Services_OpenStreetMap_Object::setTag()
  setTag
Services_OpenStreetMap_Object::setTags()
  Set a number of tags at once, using an associative array.
Services_OpenStreetMap_Object::setTransport()
  Set the Transport instance.
Services_OpenStreetMap_Object::setVal()
  Store a specified value.
Services_OpenStreetMap_Object::setXml()
  setXml
Services_OpenStreetMap_Object::__toString()
  If modified, return the osmChangeXML for the object, otherwise the defining XML.

### Class Details

[line 25]
Services_OpenStreetMap_Node

#### Tags:

author: | Ken Guest <kguest@php.net>
link: | Node.php
license: | BSD

[ Top ]

### Class Variables

#### $type = 'node'

[line 27]

#### Tags:

access: | protected

Type: | mixed
Overrides: | Array

[ Top ]

### Class Methods

### method getAddress [line 118]

`array getAddress( )`

Return address [tags], as an array, if set.

#### Tags:

access: | public

[ Top ]

### method getLat [line 34]

`float getLat( )`

Latitude of node

#### Tags:

access: | public

[ Top ]

### method getLon [line 44]

`float getLon( )`

Longitude of node

#### Tags:

access: | public

[ Top ]

### method getWays [line 147]

`Services_OpenStreetMap_Ways getWays( )`

Return a collection of Services_OpenStreetMap_Way objects that use the node in question.

#### Tags:

access: | public

[ Top ]

### method setLat [line 61]

`Services_OpenStreetMap_Node setLat( float $value)`

set the Latitude of the node

     $node->setLat($lat)->setLon($lon);

#### Tags:

throws: | Services_OpenStreetMap_InvalidArgumentException
access: | public

#### Parameters:

float | $value | Latitude (-180 < y < 180)

[ Top ]

### method setLon [line 93]

`Services_OpenStreetMap_Node setLon( float $value)`

set the Longitude of the node

     $node->setLat($lat)->setLon($lon);

#### Tags:

throws: | Services_OpenStreetMap_InvalidArgumentException
access: | public

#### Parameters:

float | $value | Longitude (-90 < x < 90)

[ Top ]

Documentation generated on Wed, 26 Sep 2012 01:24:53 +0100 by phpDocumentor 1.4.4